Description

A Web Service Call for Initiating Long Running Tasks

The web service receives the request and creates an entry in a table. This entry includes all the details.
After creating the database entry, the web service transfers the task to a RabbitMQ queue.

The task is retrieved from the queue by servers running workers for long running tasks.

The worker processes the task and stores the result in a designated area.

Associated revisions

Revision 827998e7 - 10/10/2023 08:49 AM - Sachin Divekar
Implement Long Running Task Management System #16871

This implements a system to manage long running tasks. The design encapsulates database and queue interactions. It gives taskProcessor interface
for declaring processors (business logic) for different types of tasks.

History

#1 - 10/10/2023 08:39 AM - Sachin Divekar

- Status changed from New to In Progress

#2 - 15/02/2024 10:16 AM - Sachin Divekar

- Status changed from In Progress to Closed
